<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="420dp"
    android:layout_height="wrap_content"
    android:background="@drawable/shape_red"
    android:orientation="vertical"
    android:padding="@dimen/d_30">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="128dp"
        android:orientation="horizontal">

        <com.qmuiteam.qmui.widget.QMUIRadiusImageView
            android:id="@+id/headImgView"
            android:layout_width="128dp"
            android:layout_height="128dp"
            app:qmui_border_color="@color/white"
            app:qmui_corner_radius="@dimen/d_5" />

        <LinearLayout
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:orientation="vertical"
            android:paddingStart="@dimen/dp_40">

            <TextView
                android:id="@+id/classTeaNameTv"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:includeFontPadding="false"
                android:singleLine="true"
                android:text="xxx"
                android:textColor="@color/white"
                android:textSize="@dimen/dp_40"
                android:textStyle="bold" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/d_20"
                android:background="@drawable/shape_w_round"
                android:includeFontPadding="false"
                android:lineSpacingExtra="0dp"
                android:paddingHorizontal="30dp"
                android:paddingVertical="6dp"
                android:singleLine="true"
                android:text="班主任"
                android:textColor="#e53960"
                android:textSize="@dimen/d_20"
                android:textStyle="bold" />
        </LinearLayout>
    </LinearLayout>

    <TextView
        android:id="@+id/classStuCountTv"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="20dp"
        android:layout_marginBottom="20dp"
        android:gravity="center"
        android:includeFontPadding="false"
        android:text="本班人数：xx人"
        android:textColor="@color/white"
        android:textSize="@dimen/dp_40"
        android:textStyle="bold" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@drawable/shape_w_round"
        android:gravity="center_horizontal"
        android:orientation="horizontal"
        android:paddingVertical="@dimen/d_10">

        <ImageView
            android:layout_width="@dimen/d_30"
            android:layout_height="@dimen/d_30"
            android:src="@mipmap/icon_class_stat" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_vertical"
            android:layout_marginLeft="@dimen/d_10"
            android:includeFontPadding="false"
            android:text="今日入校情况"
            android:textColor="#e53960"
            android:textSize="@dimen/d_20"
            android:textStyle="bold" />
    </LinearLayout>

    <TextView
        android:id="@+id/faceCountTv"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/d_20"
        android:background="@drawable/shape_b_a_round"
        android:paddingHorizontal="@dimen/d_20"
        android:paddingVertical="@dimen/d_10"
        android:text="刷脸入校：xx人"
        android:textColor="@color/white"
        android:textSize="@dimen/d_20" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/d_20"
        android:orientation="horizontal">

        <TextView
            android:id="@+id/noFaceCountTv"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:background="@drawable/shape_b_a_round"
            android:paddingHorizontal="@dimen/d_20"
            android:paddingVertical="@dimen/d_10"
            android:text="未刷脸：xx人"
            android:textColor="@color/white"
            android:textSize="@dimen/d_20" />

        <TextView
            android:id="@+id/leaveCountTv"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="@dimen/d_20"
            android:background="@drawable/shape_b_a_round"
            android:paddingHorizontal="@dimen/d_20"
            android:paddingVertical="@dimen/d_10"
            android:text="请假：xx人"
            android:textColor="@color/white"
            android:textSize="@dimen/d_20" />
    </LinearLayout>
</LinearLayout>